Skip to main content
The operations on Advertiser are similar to Network, in that the interface is fully idempotent, and the create and update commands both expect the full set of advertiser sites and users each time. You are not allowed to delete an advertiser if it has one or more campaigns.

Advertiser Properties

Custom Data

Advertisers may have Custom Data Fields applied to them, which will be applied to calls originating through the advertiser. To apply Custom Data Values to an advertiser, the top level parameter custom_data should be assigned a hash with each pair’s key corresponding to a partner name. The value of the pair should be the value to be applied. For the following example, we would apply the value “Offline newspaper” to the Custom Data Field “channel”.
Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>.json

GET All Advertisers

Read all advertisers for this network. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers.json Format: application/json Response Code: 200

Response Example


GET an Advertiser

Read a single advertiser. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/cFUyYnFHy.json Format: application/json Response Code: 200

Response Example


POST Create an Advertiser

Create an advertiser with users. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers.json Format: application/json

Request Example

Response Example

Same as a GET response, includes all the advertiser properties.

PUT Update an Advertiser

Update a user from advertiser. Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/cFUyYnFHy.json Format: application/json

Request Example

Response Example

Same as a GET response, includes all the advertiser properties.

DELETE an Advertiser

Delete a single advertiser.
You are not allowed to delete an advertiser if it has one or more campaigns.
Endpoint: https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/cFUyYnFHy.json Format: application/json Response Code: 200

Response Example

Last modified on August 18, 2026